unit Raten1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Eingabe, Zufall: Integer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    Edit1.SetFocus;
    Eingabe := StrToInt (Edit1.Text);
    if Eingabe = Zufall then
      Label1.Caption := 'Richtig geraten!';
    if Eingabe < Zufall then
      Label1.Caption := 'Deine Zahl ist zu klein!';
    if Eingabe > Zufall then
      Label1.Caption := 'Deine Zahl ist zu groß';
  except
    Label1.Caption := 'Quatsch!';
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  randomize;
  Zufall := random(1000) + 1;
end;

end.
